{$H+}  // ansi strings
{$C+}  // assertions on
program intnum;
uses mtx09;
var
  xy: mtx;
  n, i: longint;
  a: double = 0.0;
begin
  mrd(xy);
  n := lgn(xy);
  assert(col(xy)=2);
  if n<2 then begin
    writeln('0');
    halt(0)
  end;
  for i := 2 to n do begin
    a := a + (elm(xy,i-1,2)+elm(xy,i,2)) * (elm(xy,i,1)-elm(xy,i-1,1))
  end;
  a := a/2.0;
  writeln(a)
end.
